> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/config/functions/updateSiteConfig.md](../../../../../packages/mermaid/src/docs/config/setup/config/functions/updateSiteConfig.md).

[**mermaid**](../../README.md)

---

# Function: updateSiteConfig()

> **updateSiteConfig**(`conf`): [`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)

Defined in: [packages/mermaid/src/config.ts:79](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/config.ts#L79)

## Parameters

### conf

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)

## Returns

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)
